%global project_owner avakar
%global github_name pytoml
%global commit 7dea353c8f02c8d02df1acd72121413823b574cc
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global sum Parser for TOML
%global desc A parser for TOML-0.4.0


Name:           python-%{github_name}
Version:        0.1.14
Release:        1.git%{shortcommit}%{?dist}
Summary:        %{sum}

License:        MIT
# Take source from github since the license file is not provided in pypi release.
URL:            https://github.com/%{project_owner}/%{github_name}
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{commit}/%{github_name}-%{commit}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Provides:       python2-pytoml = %{version}-%{release}

%description
%{desc}

%prep
%setup -qn %{github_name}-%{commit}

%build
%py2_build

%install
%py2_install

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/%{github_name}-%{version}*-py%{python2_version}.egg-info/
%{python2_sitelib}/%{github_name}/

%changelog
* Wed Oct 11 2017 Brent Baude <bbaude@redhat.com> - 0.1.14-1.git7dea353
- initial package; spec from EPEL
